Package Details: ckan 1.30.4-1

Git Clone URL: https://aur.archlinux.org/ckan.git (read-only, click to copy)
Package Base: ckan
Description: All you need to find, install, and manage mods for Kerbal Space Program (ksp)
Upstream URL: https://github.com/KSP-CKAN/CKAN/
Keywords: game kerbal ksp manager mod
Licenses: MIT
Submitter: birdspider
Maintainer: Khorne (politas)
Last Packager: Khorne
Votes: 31
Popularity: 0.44
First Submitted: 2014-12-30 19:22
Last Updated: 2021-07-07 18:21

Latest Comments

1 2 3 4 5 Next › Last »

7thCore commented on 2021-06-02 22:05

Downgrading mono-msbuild to 16.8.xamarinxplat.2020.07.30.15.02-2 solves the System.Reflection.Metadata version 5.0.0.0 problem for me.

gyscos commented on 2021-05-28 18:22

The issue is the mono package being too old (and not providing System.Reflection.Metadata version 5.0.0.0).

Installing mono-git instead should help until the mono package is updated.

zegkljan commented on 2021-05-28 07:49

The build fails for me too, identical error and mono[-msbuild] versions as gyscos.

merlinschumacher commented on 2021-05-26 15:12

This fails for me too with the same error as for gyscos

gyscos commented on 2021-05-22 15:23

Building this package is currently failing for me:

"/run/user/60039/paru/clone/ckan/src/CKAN-1.30.2/CKAN.sln" (Build target) (1) ->
"/run/user/60039/paru/clone/ckan/src/CKAN-1.30.2/Core/CKAN-core.csproj" (default target) (2) ->
(ResolveAssemblyReferences target) -> 
  /usr/lib/mono/msbuild/Current/bin/Microsoft.Common.CurrentVersion.targets(2198,5): error MSB3248: Parameter "AssemblyFiles" has invalid value "/usr/lib/mono/4.5-api/mscorlib.dll". Could not load file or assembly 'System.Reflection.Metadata, Version=5.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a' or one of its dependencies. [/run/user/60039/paru/clone/ckan/src/CKAN-1.30.2/Core/CKAN-core.csproj]

I have mono 6.12.0.107-1 and mono-msbuild 16.9.xamarinxplat.2021.03.07.08.05-1 installed.

Xandaros commented on 2020-03-22 11:29

I did not have mono-msbuild installed at all. Instead, I had msbuild-stable. After replacing msbuild-stable with mono-msbuild, it built fine.

Either one fulfils the makedepends requirement, but clearly not all msbuild variants work. Maybe the makedepends should include mono-msbuild instead of any msbuild in general?

Khorne commented on 2020-03-22 11:22

Builds fine with community/mono-msbuild.

Is your installation of that package broken maybe? Check with pacman -Qkk mono-msbuild.

Xandaros commented on 2020-03-21 11:11

Hmm, this doesn't actually build for me. I get errors like these:

/usr/lib/mono/msbuild/15.0/bin/Microsoft.CSharp.CurrentVersion.targets(331,5): error MSB4019: The imported project "/usr/lib/mono/msbuild/15.0/bin/Roslyn/Microsoft.CSharp.Core.targets" was not found. Confirm that the path in the <Import> declaration is correct, and that the file exists on disk. [/home/xandaros/workspace/AUR/ckan/src/CKAN-1.27.0/Core/CKAN-core.csproj]

Missing a dependency?

gmes78 commented on 2020-02-01 20:44

This builds with msbuild now, and as msbuild-16-bin provides msbuild but not the other way around, the makedepend should be on msbuild instead.

gyscos commented on 2019-09-19 01:59

For me it only worked with msbuild-16-bin - both msbuild-bin and msbuild-stable lead to compilation errors.